Debian Bug report logs - #596142
gnome-system-monitor: shows empty process list in kfreebsd-i386

version graph

Package: libgtop2-7; Maintainer for libgtop2-7 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for libgtop2-7 is src:libgtop2.

Reported by: Witold Baryluk <baryluk@smp.if.uj.edu.pl>

Date: Wed, 8 Sep 2010 20:42:08 UTC

Severity: normal

Merged with 598901

Found in version libgtop2/2.28.1-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, baryluk@smp.if.uj.edu.pl, Sebastien Bacher <seb128@debian.org>:
Bug#596142; Package gnome-system-monitor. (Wed, 08 Sep 2010 20:42:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Witold Baryluk <baryluk@smp.if.uj.edu.pl>:
New Bug report received and forwarded. Copy sent to baryluk@smp.if.uj.edu.pl, Sebastien Bacher <seb128@debian.org>. (Wed, 08 Sep 2010 20:42:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Witold Baryluk <baryluk@smp.if.uj.edu.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-system-monitor: shows empty process list in kfreebsd-i386
Date: Wed, 08 Sep 2010 22:30:24 +0200
Package: gnome-system-monitor
Version: 2.28.1-1
Severity: normal


gnome-system-monitor looks to be working (not crashing)
in kfreebsd.

It shows most of informations correctly.

Unfortunetly process list is completly empty.

Is gsm reading /proc/*/ directly or uses some library for it?




-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.1-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-system-monitor depends on:
ii  gconf2                      2.28.1-3     GNOME configuration database syste
ii  libc0.1                     2.11.2-2     Embedded GNU C Library: Shared lib
ii  libcairo2                   1.8.10-5     The Cairo 2D vector graphics libra
ii  libgcc1                     1:4.4.4-8    GCC support library
ii  libgconf2-4                 2.28.1-3     GNOME configuration database syste
ii  libglib2.0-0                2.24.1-1     The GLib library of C routines
ii  libglibmm-2.4-1c2a          2.24.2-1     C++ wrapper for the GLib toolkit (
ii  libgtk2.0-0                 2.20.1-1+b1  The GTK+ graphical user interface 
ii  libgtkmm-2.4-1c2a           1:2.20.3-1   C++ wrappers for GTK+ (shared libr
ii  libgtop2-7                  2.28.1-1     gtop system monitoring library (sh
ii  librsvg2-2                  2.26.3-1     SAX-based renderer library for SVG
ii  libsigc++-2.0-0c2a          2.2.4.2-1    type-safe Signal Framework for C++
ii  libstdc++6                  4.4.4-8      The GNU Standard C++ Library v3
ii  libwnck22                   2.30.0-4     Window Navigator Construction Kit 
ii  libxml2                     2.7.7.dfsg-4 GNOME XML library

Versions of packages gnome-system-monitor recommends:
ii  gvfs                       1.6.3-1       userspace virtual filesystem - ser
ii  libgksu2-0                 2.0.13~pre1-1 library providing su and sudo func

gnome-system-monitor suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#596142; Package gnome-system-monitor. (Wed, 08 Sep 2010 20:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Wed, 08 Sep 2010 20:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 596142@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Witold Baryluk <baryluk@smp.if.uj.edu.pl>, 596142@bugs.debian.org
Subject: Re: Bug#596142: gnome-system-monitor: shows empty process list in kfreebsd-i386
Date: Wed, 08 Sep 2010 22:56:09 +0200
On 08/09/10 22:30, Witold Baryluk wrote:
> Is gsm reading /proc/*/ directly or uses some library for it?

It uses libgtop, which may be reading /proc directly...

Emilio




Bug reassigned from package 'gnome-system-monitor' to 'libgtop2-7'. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Fri, 29 Oct 2010 20:27:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gnome-system-monitor/2.28.1-1. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Fri, 29 Oct 2010 20:27:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libgtop2/2.28.1-1. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Fri, 29 Oct 2010 20:27:04 GMT) Full text and rfc822 format available.

Added indication that 596142 affects gnome-system-monitor Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Fri, 29 Oct 2010 20:27:05 GMT) Full text and rfc822 format available.

Forcibly Merged 596142 598901. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Fri, 29 Oct 2010 20:48:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:11:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.